function setup() {
  createCanvas(400, 400);
  noStroke();
  fill(245, 99, 0);
  angleMode(DEGREES);
}

function draw() {
  background(255, 206, 157);

  let numArc = 12;
  let arcScale = 15;
  let radius = 100;

  let centerX = width / 2;
  let centerY = height / 2;

  let rotateSpeed =  0.5;

  for (let i = 0; i < numArc; i++) {
    let angle1 = map(i, 0, numArc, 0, 360) + (frameCount * rotateSpeed);
    let angle2 = angle1 + arcScale ;

    arc(centerX, centerY, radius * 2, radius * 2, angle1, angle2);
  }
}
