// file:09_data_basic/9_4_star

let stars = [];
let colorList = [
    "#fff100",
    "#fff9b1",
    "#fff67f"
];

function setup() {
  frameRate(30)
  createCanvas(600, 600);
  noStroke();
  for (let i = 0; i < 50; i++) {
    let starData = {
        x:random(width),
        y:random(height),
        size:random(1, 4),
        speed:random(1, 7),
        color:floor(random(3))
    };

    stars.push(starData)
  }
}

function draw() {
  background(0, 0, 50, 70);
  for (let i = 0; i< 50; i++) {
    let star = stars[i];
    fill(colorList[star.color]);
    ellipse(star.x, star.y, star.size);
    star.x += star.speed;
    if (star.x > width) {
      star.x = 0;
    }
  }
}
