// file:10_data_advance/10_1_bubble

let circles = []
function setup() {
    createCanvas(windowWidth, windowHeight);
    noFill();
    strokeWeight(5);
    stroke(179, 211, 219);
}

function draw() {
    background(41, 153, 196);
    for(let i = 0; i < circles.length; i++){
        let circle = circles[i];
        circle.y -= circle.ySpeed;
        ellipse(circle.x, circle.y, circle.size);
        if(circle.y < 0){
            circle.y = height;
        }
    }
}

function mousePressed(){
    let circle = {};
    circle.x = mouseX;
    circle.y = mouseY;
    circle.ySpeed = random(1, 10);
    circle.size = random(10, 100);
    circles.push(circle);
}