// file:11_function/11_1_definition

let x, y;
let speedX, speedY;
let radius = 25;
let circleColor;

function setup() {
  createCanvas(400, 400);
  x = width / 2;
  y = height / 2;
  speedX = random(1, 3);
  speedY = random(1, 3);
  circleColor = color(0, 150, 200);
  noStroke();
}

function draw() {
  background(220);
  moveCircle();
  displayCircle();
}

function moveCircle() {
  x += speedX;
  y += speedY;

  if (x + radius > width || x - radius < 0) {
    speedX *= -1;
    changeColor();
  }
  if (y + radius > height || y - radius < 0) {
    speedY *= -1;
    changeColor();
  }
}

function displayCircle() {
  fill(circleColor);
  ellipse(x, y, radius * 2, radius * 2);
}

function changeColor() {
  circleColor = color(random(255), random(255), random(255));
}