// file:12_class/12_1_rotatingCircle_1

let circle;
function setup(){
    createCanvas(windowWidth, windowHeight);
    colorMode(HSB);
    strokeWeight(1.5);
    circle = new RotatingCircle();
}
function draw(){
    background(255);
    circle.rotate();
    circle.draw();
}

class RotatingCircle{
    constructor(){
    this.x = 0,
    this.y = 0,
    this.size = 30,
    this.angle = 0,
    this.rotatingSpeed = 2,
    this.rotatingSize = 50,
    this.color = color(0, 100, 100)
    }
    rotate(){
        this.angle += this.rotatingSpeed;
        this.x = cos(radians(this.angle)) * this.rotatingSize + mouseX;
        this.y = sin(radians(this.angle)) * this.rotatingSize + mouseY;
    }
    draw(){
        //軌道の輪の描画
        noFill();
        stroke(0);
        ellipse(mouseX, mouseY, this.rotatingSize*2);

        this.color = color(this.angle%360, 100, 100);

        //円の描画
        fill(this.color);
        noStroke()
        ellipse(this.x, this.y, this.size);
    }
}
