// file:13_perlin/13_5_wave

let seeds = [];

function setup() {
  colorMode(HSB);
  createCanvas(400, 400);
  noStroke();
  for (let i = 0; i < 40; i++) {
    seeds.push(random(10));
  }
}

function draw() {
  background(0);

  for (let i = 0; i < seeds.length; i++) {
    fill(map(i, 0, seeds.length, 0, 255), 255, 255);
    seeds[i] += (0.001 * i) / 10;
    let s = seeds[i];
    for (let y = 0; y < 40; y++) {
      s += 0.01;
      x = map(noise(s), 0, 1, 0, 400);
      ellipse(x, y * 10, 5);
    }
  }
}