let circles = []; //①

function setup() {
  createCanvas(400, 400);
  noFill();
  circles = [];
  for (let i = 0; i < 250; i++) {
    //②
    circles[i] = {
      x: random(width),
      y: random(height),
      radius: random(1, 20),
      speed: random(0.05, 0.1),
      color: color(random(255), random(255), random(255)),
    };
  }
}

function draw() {
  background(0);
  for (let i = 0; i < 250; i++) {
    //③
    stroke(circles[i].color);
    ellipse(circles[i].x, circles[i].y, circles[i].radius);
  }
}
