let dots = [];

function setup() {
  createCanvas(400, 400);
  noStroke();
}

function draw() {
  colorMode(RGB);
  fill(0, 0, 0, 20);
  rect(0, 0, 400, 400);
  colorMode(HSB);

  if (frameCount % 5 == 0) {
    //①
    let newDot = {
      x: 200,
      y: 200,
      r: random(0, 360),
      c: 0,
    };
    dots.push(newDot);
  }

  for (let i = 0; i < dots.length; i++) {
    //②
    let d = dots[i];
    let alpha = map(d.c, 0, 50, 255, 0);
    fill(d.r, 255, alpha);
    ellipse(d.x, d.y, d.c, d.c);

    d.x += cos(radians(d.r)) * 5;
    d.y += sin(radians(d.r)) * 5;
    d.c++;

    if (d.c >= 50) {
      //③
      dots.splice(i, 1);
      i--;
    }
  }
}
