// file:08_coord/8_7_drawing

let w = 400;
let h = 400;

function setup() {
  createCanvas(w, h);
  background(0);
  strokeWeight(0.75);
  stroke(255, 200);
}
function draw() {
  translate(width / 2, height / 2);
  if (mouseIsPressed) {
    for (let i = 0; i < 24; i++) {
      let angle = ((PI * 2) / 24) * i;
      push();
      rotate(angle);
      line(pmouseX / 2, pmouseY / 2, mouseX / 2, mouseY / 2);
      pop();
    }
  }
}

function keyPressed() {
  background(0);
}
