// file:10_data_advance/10_4_push

let dots = [];

function setup() {
  createCanvas(400, 400);
  noStroke();
}

function draw() {
  background(0, 0, 0, 20);

  dots.push({
    x: mouseX,
    y: mouseY,
    sx: random(-1, 1),
    sy: random(-6, -4),
    lifetime: 0,
  });

  for (let dot of dots) {
    dot.x += dot.sx;
    dot.y += dot.sy;
    dot.sy += 0.05;
    dot.lifetime++;
    let alpha = map(dot.lifetime, 0, 255, 255, 0);
    fill(100, 200, 255, alpha);
    ellipse(dot.x, dot.y, 2, 2);
  }

  dots = dots.filter(dot => dot.lifetime < 255)
}