// file:12_class/12_4_bubble

let particles = [];

function setup() {
  createCanvas(600, 600);
  colorMode(HSB, 360, 100, 100, 100);
  noStroke();
  for (let i = 0; i < 150; i++) {
    particles.push(new Particle());
  }
}

function draw() {
  background(0, 15);
  for (let p of particles) {
    p.move()
    p.draw()
  }
}

class Particle {
  constructor() {
    this.pos = createVector(width / 2, height / 2)
    this.col = color(random(360), random(50, 100), random(50, 100));
    this.size = random(5, 25);
    this.velocity = createVector(random(-3, 3), random(-3, 3));
  }

  move() {
    this.pos.add(this.velocity)
    if (this.pos.x > width || this.pos.x < 0) {
      this.velocity.x *= -1;
    }

    if (this.pos.y > height || this.pos.y < 0) {
      this.velocity.y *= -1;
    }
  }

  draw() {
    fill(this.col);
    ellipse(this.pos.x, this.pos.y, this.size);
  }
}