// file:14_advance/14_2_curveVertex

let numPoints = 24;

function setup() {
  createCanvas(400, 400);
  beginShape();
  noFill();
  for (let i = 0; i < numPoints; i++) {
    let angle = map(i, 0, numPoints, 0, TWO_PI);
    let radius = i%2 == 0 ? 80:100;
    let x = width / 2 + cos(angle) * radius;
    let y = height / 2 + sin(angle) * radius;

    curveVertex(x, y);
  }
  endShape(CLOSE);
}

