// file:exercies/06_if/6_2_else

function setup() {
  createCanvas(500, 500);
  colorMode(HSB, 360, 100, 100, 100);
  noFill();
}

function draw() {
  background(0, 0, 90);
  let x = mouseX,  y = mouseY;  
  let s = map(x, 0, width, 20, 200);
  let c = map(y, 0, height, 0, 360);

  stroke(c, 80, 80, 80);
  strokeWeight(10);

  if (x < width / 2 && y < height / 2) {
    ellipse(x, y, s, s);
  } else if (x >= width / 2 && y < height / 2) {
    rect(x - s / 2, y - s / 2, s, s);
  } else if (x < width / 2 && y >= height / 2) {
    triangle(x, y, x + s, y, x, y - s);
  } else {
    line(x - s/2, y - s/2, x + s/2, y + s/2);
  }
}
