// file:exercies/06_if/6_4_keyIsDown

let circleX = 200;
let circleY = 200;
let moveSpeed = 5;

function setup() {
  createCanvas(400, 400);
  noStroke();
  colorMode(HSB);
}

function draw() {
  background(220);
  let hueX = map(circleX, 0, width, 0, 360);
  let hueY = map(circleY, 0, height, 0, 360);
  fill((hueX + hueY) / 2, 100, 100);
  if (keyIsDown(LEFT_ARROW)) {
    circleX -= moveSpeed;
  }
  if (keyIsDown(RIGHT_ARROW)) {
    circleX += moveSpeed;
  }
  if (keyIsDown(UP_ARROW)) {
    circleY -= moveSpeed;
  }
  if (keyIsDown(DOWN_ARROW)) {
    circleY += moveSpeed;
  }
  ellipse(circleX, circleY, 50, 50);
}
