let angle = 0;

function setup() {
  createCanvas(1000, 700);
  strokeWeight(10);
  stroke(0);
  textSize(130);
}
function draw() {
  push();
  scale(1 / 2, 1 / 2);
  translate(0, 0);
  area1();
  pop();

  push();
  scale(1 / 2, 1 / 2);
  translate(width, 0);
  area2();
  pop();

  push();
  scale(1 / 2, 1 / 2);
  translate(0, height);
  area3();
  pop();

  push();
  scale(1 / 2, 1 / 2);
  translate(width, height);
  area4();
  pop();

  angle += 0.05;
}

function area1() {
  fill(255);
  rect(0, 0, width, height);
  let x1 = width / 2 + cos(angle) * 100;
  let y1 = height / 2 + sin(angle) * 100;
  ellipse(x1, y1, 50);
  text("area1", 10, 130);
}

function area2() {
  fill(0, 0, 255);
  rect(0, 0, width, height);
  let x2 = width / 2;
  let y2 = height / 2;
  let size2 = 50;
  size2 = map(sin(angle), -1, 1, 30, 100);
  ellipse(x2, y2, size2);
  text("area2", 10, 130);
}

function area3() {
  fill(255, 0, 255);
  rect(0, 0, width, height);
  let x3 = width / 2 + sin(angle) * 100;
  let y3 = height / 2;
  ellipse(x3, y3, 50);
  text("area3", 10, 130);
}

function area4() {
  fill(255, 255, 0);
  rect(0, 0, width, height);
  let x4 = width / 2;
  let y4 = height / 2 + cos(angle) * 100;
  ellipse(x4, y4, 50);
  text("area4", 10, 130);
}
