function setup() {
  createCanvas(400, 400);
  noStroke();
  for (let i = 0; i < 50; i++) {
    let randomColor = getRandomColor();
    let x = random(width);
    let y = random(height);
    let radius = random(10, 50);
    fill(randomColor);
    ellipse(x, y, radius * 2, radius * 2);
  }
}

function getRandomColor() {
  let hue = random(360);
  let saturation = random(30, 100);
  let brightness = random(50, 100);
  return color(hue, saturation, brightness);
}
