let yOffset = 0;
let fSlider, aSlider;

function setup() {
  fSlider = createSlider(0.001, 0.1, 0, 0.001);
  aSlider = createSlider(0, 100, 0, 1);
  createCanvas(1000, 500);
  strokeWeight(2);
  stroke(0, 0, 200);
  noFill();
}

function draw() {
  background(255);
  let f = fSlider.value();
  let a = aSlider.value();
  let waveHeight = 300;
  let waveFrequency = 0.02;
  let waveAmplitude = a;
  beginShape();

  for (let x = 0; x < width; x += 5) {
    let noiseValue = noise(x * 0.01, yOffset);
    let y =
      waveAmplitude * sin(waveFrequency * x + yOffset) +
      waveHeight * noiseValue;
    vertex(x, height - y);
  }

  endShape();
  yOffset += f;
}
