function setup() {
  createCanvas(200, 200);
}

function draw() {
  let noiseLevel = 255;
  let noiseScale = 0.009;
  for (let y = 0; y < height; y += 1) {
    for (let x = 0; x < width; x += 1) {
      let nx = noiseScale * x;
      let ny = noiseScale * y;
      let nt = noiseScale * frameCount;
      let c = noiseLevel * noise(nx, ny, nt);
      let mappedColor = map(c, 0, noiseLevel, 0, 255);
      stroke(mappedColor, 150, 200);
      point(x, y);
    }
  }
}
