let colors = ["#393E46", "#00ADB5", "#EEEEEE"];
let pos = [];

function setup() {
  createCanvas(400, 400);
  for (let i = 0; i < 1000; i++) {
    pos[i] = { x: width / 2, y: height / 2 };
  }
  background("#222831");
}

function draw() {
  for (let i = 0; i < 1000; i++) {
    let randomColor = color(random(colors));
    stroke(randomColor);
    point(pos[i].x, pos[i].y);

    let angle = map(i, 0, 1000, 0, TWO_PI);
    let radius = noise(i * 0.01, frameCount * 0.005) * 100; //①

    let dx = cos(angle) * radius;
    let dy = sin(angle) * radius;

    pos[i].x += dx;
    pos[i].y += dy;
  }
}
