function setup() {
  createCanvas(1000, 700, WEBGL);
}

function draw() {
  background(0);
  normalMaterial();

  // 球
  push();
  translate(-350, 0, 0);
  rotateX(frameCount * 0.01);
  rotateY(frameCount * 0.01);
  sphere(80, 10);
  pop();

  // トーラス
  push();
  translate(-150, 0, 0);
  rotateX(frameCount * 0.01);
  rotateY(frameCount * 0.01);
  torus(50, 20);
  pop();

  // ボックス
  push();
  translate(50, 0, 0);
  rotateX(frameCount * 0.01);
  rotateY(frameCount * 0.01);
  box(100);
  pop();

  // コーン
  push();
  translate(250, 0, 0);
  rotateX(frameCount * 0.01);
  rotateY(frameCount * 0.01);
  cone(70);
  pop();
}
